#
# spec file for package python-biplist
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-biplist
Version:        0.9
Release:        6.1
Url:            https://bitbucket.org/wooster/biplist
Summary:        A library for reading/writing binary plists
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/b/biplist/biplist-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  python-coverage
BuildRequires:  python-devel >= 2.7
BuildRequires:  python-nose
BuildRequires:  python-setuptools
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
biplist is a binary plist parser/generator for Python.

Binary Property List (plist) files provide a faster and smaller serialization
format for property lists on OS X. This is a library for generating binary
plists which can be read by OS X, iOS, or other clients.

%prep
%setup -q -n biplist-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
%fdupes %buildroot/%_prefix

%check
python setup.py -q test

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README.md
%{python_sitelib}/*

%changelog
* Sun Apr 26 2015 benoit.monin@gmx.fr
- update to version 0.9:
  * Fixes #5 ValueError: timestamp out of range for platform time_t
  * Merged pull request #3 removing the `six` module while keeping
    Python3 compatibility
- additional changes from version v0.8:
  * Fixes #3 testFileRead fails using python 3.x along with several
    other Python 3 compatibility issues.
- update project URL
- add fdupes as BuildRequires and call it after install
- set a minimum version to python 2.7
- remove python-six from BuildRequires: now unneeded
- quiet the test run to avoid spamming the build log
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Fri Jan 11 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Jan 11 2013 p.drouand@gmail.com
- Update to 0.5 version:
  * Fix a bug when writing non-binary (XML) plist with Data values
  * Cleaned up a few stray comments and assertions.
- Add BuildRequires: python-six needed for tests
* Wed Mar 21 2012 saschpe@gmx.de
- Initial version
